org.springframework.cloud.dataflow.server.service.impl.validation

## Class DefaultStreamValidationService

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.validation.DefaultValidationService
  - - org.springframework.cloud.dataflow.server.service.impl.validation.DefaultStreamValidationService

- All Implemented Interfaces:
    StreamValidationService, ValidationService

      public class DefaultStreamValidationService
      extends DefaultValidationService
      implements StreamValidationService

  Implementation of the StreamValidationService that delegates to the stream definition repository.
  Author:
    Mark Pollack

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultStreamValidationService(AppRegistryService appRegistry, DockerValidatorProperties dockerValidatorProperties, StreamDefinitionRepository streamDefinitionRepository, StreamDefinitionService streamDefinitionService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationStatus` | `validateStream(String name)` Validate the stream given the registered name

    - ### Methods inherited from class org.springframework.cloud.dataflow.server.service.impl.validation.DefaultValidationService

      `isRegistered, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.cloud.dataflow.server.service.ValidationService

      `isRegistered, validate`

- - ### Constructor Detail

    - #### DefaultStreamValidationService

          public DefaultStreamValidationService(AppRegistryService appRegistry,
                                                DockerValidatorProperties dockerValidatorProperties,
                                                StreamDefinitionRepository streamDefinitionRepository,
                                                StreamDefinitionService streamDefinitionService)

  - ### Method Detail

    - #### validateStream

          public ValidationStatus validateStream(String name)

      Description copied from interface: `StreamValidationService`
      Validate the stream given the registered name
      Specified by:
        `validateStream` in interface `StreamValidationService`
      Parameters:
        `name` - then name of the stream
      Returns:
        the validation status

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.